Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Description Class Reference

The description of one single command-line option. More...

`#include <fcommandline.h>`

Inheritance diagram for Description:

## Public Member Functions
| Description (const std::string &name, const std::string &help, const std::string &valueType)
| Construct a Description.

## Public Attributes
std::string | mHelp
| The help string for this option.
std::string | mType
| The type of this option (kBool, kString).

## Static Public Attributes
static const std::string | kBool = "bool"
static const std::string | kString = "string"

## Detailed Description

The description of one single command-line option.

Normally you rarely use a Description directly.
In most cases you will use the Descriptions::addOptions (const std::string&) method to create and add descriptions.

## Constructor & Destructor Documentation

## ◆ Description()

Description | ( | const std::string & | name,
|  | const std::string & | help,
|  | const std::string & | valueType )

Construct a Description.

In most cases you will use the Descriptions::addOptions (const std::string&) method to create and add descriptions.

Parameters

  [in] | name | of the option.
  [in] | help | a help description for this option.
  [out] | valueType | Description::kBool or Description::kString.

## Member Data Documentation

## ◆ mHelp

std::string mHelp

The help string for this option.

## ◆ mType

std::string mType

The type of this option (kBool, kString).

## ◆ kBool

const std::string kBool = "bool"
| static

## ◆ kString

const std::string kString = "string"
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.